import { z } from 'zod';

export const KeysSchema = z.union([z.literal('osago'), z.literal('kasko'), z.literal('fingap')]);

export const RowSchema = z.object({
  key: KeysSchema,
  policyType: z.string(),
  insuranceCompany: z.string().nullable(),
  insured: z.number().nullable(),
  insCost: z.number(),
  insTerm: z.number().nullable(),
});
